This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 354131 - use MALLOC_CHECK_ (not _MALLOC_CHECK)
use MALLOC_CHECK_ (not _MALLOC_CHECK)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 10:29 EDT by John Reiser
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-26 10:42:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2007-10-26 10:29:45 EDT
Description of problem: The environment variable that triggers the extra
checking inside malloc/free/realloc by glibc is spelled MALLOC_CHECK_ with a
trailing underscore, not _MALLOC_CHECK with a leading underscore.  All the
execve from anaconda specify the wrong one.


Version-Release number of selected component (if applicable):
anaconda-11.3.0.45-1


How reproducible: always


Steps to Reproduce:
1. as soon as vtty2 is available:
strace -v -e trace=execve -s 400 -p <pid-of-anaconda>
(supply 'strace' on a USB flash memory device before boot, and mount the device
yourself.)
2. look at the environment variables in execve().
3.
  
Actual results:
735   execve("/usr/bin/loadkeys", ["/usr/bin/loadkeys"..., "us"...],
["PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin:/mnt/sysimage/usr/X11R6/bin:/sbin:/usr/sbin"...,
"_MALLOC_CHECK=2"..., "MALLOC_PERTURB_=204"...,

Expected results: "MALLOC_CHECK_=2"


Additional info: The spelling is listed as MALLOC_CHECK_ (with a trailing
underscore) in "man 3 malloc", and in "info libc".  The code is in
glibc/malloc/arena.c, function ptmnalloc_init(), around line 559 in glibc-2.7-2.
Comment 1 Chris Lumens 2007-10-26 10:42:59 EDT
Thanks, this will be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.